Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2981043002: Add a task queue task router to reduce amount of boilerplate. (Closed)

Created:
4 months, 1 week ago by Vadim Sh.
Modified:
3 months, 4 weeks ago
Reviewers:
tandrii(chromium)
CC:
chromium-reviews, infra-reviews+luci-go_chromium.org, maruel+w_chromium.org, tandrii+luci-go_chromium.org
Target Ref:
refs/heads/master
Project:
luci-go
Visibility:
Public.

Description

Patch Set 1 : tq-helper #

Total comments: 2

Patch Set 2 : add named tasks, remove globals #

Patch Set 3 : more features that will be needed later #

Patch Set 4 : bug #

Patch Set 5 : more bugs #

Patch Set 6 : respect rpc limits #

Patch Set 7 : comment nit #

Total comments: 10

Patch Set 8 : nits #

Patch Set 9 : add tests + some fixes #

Patch Set 10 : use 202 #

Total comments: 4

Patch Set 11 : nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+816 lines, -35 lines) Patch
M scheduler/appengine/engine/cron/demo/main.go View 1 2 6 chunks +25 lines, -35 lines 0 comments Download
A scheduler/appengine/engine/internal/gen.go View 1 chunk +18 lines, -0 lines 0 comments Download
A scheduler/appengine/engine/internal/tq_tasks.proto View 1 chunk +29 lines, -0 lines 0 comments Download
A scheduler/appengine/engine/internal/tq_tasks.pb.go View 1 chunk +94 lines, -0 lines 0 comments Download
A scheduler/appengine/engine/tq/tq.go View 1 2 3 4 5 6 7 8 9 10 1 chunk +416 lines, -0 lines 0 comments Download
A scheduler/appengine/engine/tq/tq_test.go View 1 2 3 4 5 6 7 8 9 10 1 chunk +234 lines, -0 lines 0 comments Download

Messages

Total messages: 17 (8 generated)
Vadim Sh.
I expect new engine implementation will be using more different task queue tasks. This CL ...
4 months, 1 week ago (2017-07-15 01:16:29 UTC) #1
tandrii(chromium)
sgtm https://codereview.chromium.org/2981043002/diff/120001/scheduler/appengine/engine/tq/tq.go File scheduler/appengine/engine/tq/tq.go (right): https://codereview.chromium.org/2981043002/diff/120001/scheduler/appengine/engine/tq/tq.go#newcode15 scheduler/appengine/engine/tq/tq.go:15: // Package tq implements simple routing layer for ...
4 months, 1 week ago (2017-07-17 09:54:30 UTC) #2
Vadim Sh.
https://codereview.chromium.org/2981043002/diff/120001/scheduler/appengine/engine/tq/tq.go File scheduler/appengine/engine/tq/tq.go (right): https://codereview.chromium.org/2981043002/diff/120001/scheduler/appengine/engine/tq/tq.go#newcode15 scheduler/appengine/engine/tq/tq.go:15: // Package tq implements simple routing layer for task ...
4 months ago (2017-07-23 19:58:02 UTC) #3
tandrii(chromium)
https://codereview.chromium.org/2981043002/diff/120001/scheduler/appengine/engine/tq/tq.go File scheduler/appengine/engine/tq/tq.go (right): https://codereview.chromium.org/2981043002/diff/120001/scheduler/appengine/engine/tq/tq.go#newcode361 scheduler/appengine/engine/tq/tq.go:361: httpReply(c, false, 200, "Fatal error: %s", err) // return ...
4 months ago (2017-07-26 09:51:34 UTC) #4
Vadim Sh.
Added tests, PTAL.
3 months, 4 weeks ago (2017-07-28 02:45:57 UTC) #5
tandrii(chromium)
lgtm % why do you want to commit cron/demo as well? https://codereview.chromium.org/2981043002/diff/180001/scheduler/appengine/engine/tq/tq.go File scheduler/appengine/engine/tq/tq.go (right): ...
3 months, 4 weeks ago (2017-07-28 09:47:17 UTC) #10
Vadim Sh.
> lgtm % why do you want to commit cron/demo as well? why not? I ...
3 months, 4 weeks ago (2017-07-28 19:20:30 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2981043002/200001
3 months, 4 weeks ago (2017-07-28 19:22:22 UTC) #14
commit-bot: I haz the power
3 months, 4 weeks ago (2017-07-28 19:30:01 UTC) #17
Message was sent while issue was closed.
Committed patchset #11 (id:200001) as
https://github.com/luci/luci-go/commit/6df39efb0e62cd4d0a7f23c59b593ae14a777105

Powered by Google App Engine
This is Rietveld efc10ee0f